#!/bin/bash

# Create Directory
mkdir -p /var/run/serverforge/csf

# Remove Old Config
rm -rf /etc/csf

# CSF
cd /var/run/serverforge/downloads
if [[ ! -f /var/run/serverforge/downloads/csf.tgz || ! -d /var/run/serverforge/downloads/csf ]]
then
	wget https://mirrors.gethosted.online/serverforge/csf.tgz
	tar -zxf csf.tgz
fi
cd csf
./install.sh

# Modify Config
TCP_IN=`cat /etc/csf/csf.conf | grep 'TCP_IN = '`;
TCP_OUT=`cat /etc/csf/csf.conf | grep 'TCP_OUT = '`;
if [[ $TCP_IN != *1010* ]] 
then 
	sed -i 's/20,21,22,25,53,80,110,143,443,465,587,993,995/20,21,22,25,53,80,110,143,443,465,587,873,993,995,1010/g' /etc/csf/csf.conf
fi
if [[ $TCP_OUT != *1010* ]] 
then 
	sed -i 's/20,21,22,25,53,80,110,113,443,587,993,995/20,21,22,25,53,80,110,143,443,465,587,873,993,995,1010/g' /etc/csf/csf.conf
fi

# Restart for changes to take effect
csf -r
