#!/bin/bash

cpu=`grep 'cpu ' /proc/stat | awk '{usage=($2+$4)*100/($2+$4+$5)} END {print usage}'`
cpu=`printf "%0.2f%%\n" $cpu`
cpuLoad=`top -bn1 | grep load | awk '{printf "%.2f\n", $(NF-2)}' `
os=`cat /etc/redhat-release`
ram=`free -m | awk 'NR==2{printf "%.2f%%", $3*100/$2 }'`
ramUsed=`free -hm | sed 's/Gi/GB/g' | sed 's/Mi/MB/g' | awk 'NR==2{printf "%s / %s\n", $3,$2 }'`
disk=`df -H /home | grep -vE '^Filesystem|tmpfs|cdrom' | awk '{ print $5}'`
diskTotal=`df -H /home | grep -vE '^Filesystem|tmpfs|cdrom' | awk '{ print $2}'`
diskUsed=`df -H /home | grep -vE '^Filesystem|tmpfs|cdrom' | awk '{ print $3}'`
uptime=`uptime -p`
ip=`hostname -i`
hostname=`hostname`

echo "

   #######################################
   #                                     #
   #    Welcome to ServerForge System    #
   #                                     #
   #######################################

       $os

       $hostname ($ip)
        - $uptime
       
       CPU  : $cpu (Load $cpuLoad)
       RAM  : $ram  ($ramUsed)
       Disk : $disk ($diskUsed / $diskTotal)
"
