#!/bin/bash

# Config
version="php-8.4.1"

# Create Directory
mkdir -p /var/run/serverforge/php

# Compile and Build
cd /var/run/serverforge/downloads
if [[ ! -f /var/run/serverforge/downloads/$version.tar.gz  || ! -d /var/run/serverforge/downloads/$version ]]
then
	wget --no-check-certificate https://mirrors.gethosted.online/serverforge/$version.tar.gz
	tar -zxf $version.tar.gz
fi
cd $version
./configure --prefix=/var/run/serverforge/php --with-xsl --with-libxml=/var/run/serverforge/libxml2/ --with-apxs2=/var/run/serverforge/apache/bin/apxs;make; make install

# Apache Config 
if [[ `cat /var/run/serverforge/apache/conf/httpd.conf` != *"x-httpd-php"* ]]; then
	echo "<FilesMatch \.php$>
		SetHandler application/x-httpd-php
	</FilesMatch>
	" >> /var/run/serverforge/apache/conf/httpd.conf
fi

# Copy php.ini
cp -f /var/run/serverforge/downloads/$version/php.ini-production /var/run/serverforge/php/lib/php.ini

# YAML Support
pecl config-set php_dir /var/run/serverforge/php/
pecl config-set php_ini /var/run/serverforge/php/lib/
pecl config-set php_bin /var/run/serverforge/php/bin/
pecl config-set php_prefix /var/run/serverforge/php/bin/

printf "\n" | pecl uninstall yaml
printf "\n" | pecl install yaml

echo "extension=yaml" >> /var/run/serverforge/php/lib/php.ini
